<div fxLayout="column" fxLayoutGap="10px">
    <form [formGroup]="approvalFormGroup" (ngSubmit)="onSubmit()">

     <mat-card class="mat-elevation-z0">
        <div fxLayout="column" fxLayoutGap="20px" class="div-border">

       <div fxLayout="row" class="div-row" fxLayoutAlign="left center" [style.visibility]="requestTypeID === 321 ? 'hidden' : 'visible'" >
           <div fxFlex="30" class="required-label-color">Do you approve the agency information entered ?</div>
           <div fxFlex="10">
                <mat-radio-group  [(ngModel)]="agencySiteApprovalData.isApproveAgency" fxLayoutGap="20px" formControlName="isApproveAgencyRadioCtrl" name="isApproveAgencyRadioCtrl" (change)="agencyRadioChange($event)">
                   <mat-radio-button  *ngFor="let siteTrackedType of isYesNoList" [value]="siteTrackedType.refGroupDetailID">
                           {{siteTrackedType.refGroupDetailDescription}} 
                       </mat-radio-button>
                </mat-radio-group>
           </div>
           <div style="font-size: 75%" fxFlex><mat-error *ngIf="ifSubmitted === true && f.isApproveAgencyRadioCtrl.hasError('radioGroupRequired')">{{ validationMssg.isApproveAgencyRadioCtrl.required }}</mat-error></div>
       </div>

       <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
            <div fxFlex="30" class="required-label-color">Do you approve the site information entered ?</div>
            <div fxFlex="10">
                <mat-radio-group  [(ngModel)]="agencySiteApprovalData.isApproveSite" fxLayoutGap="20px" formControlName="isApproveSiteRadioCtrl" name="isApproveSiteRadioCtrl" (change)="siteRadioChange($event)">
                        <mat-radio-button  *ngFor="let siteTrackedType of isYesNoList" [value]="siteTrackedType.refGroupDetailID">
                            {{siteTrackedType.refGroupDetailDescription}} 
                        </mat-radio-button>
                </mat-radio-group>
            </div>
            <div style="font-size: 75%" fxFlex><mat-error *ngIf="ifSubmitted === true && f.isApproveSiteRadioCtrl.hasError('radioGroupRequired')">{{ validationMssg.isApproveSiteRadioCtrl.required }}</mat-error></div>
        </div>

       <div fxLayout="row" class="div-row-padding" fxLayoutAlign="left center">
            <div fxFlex="30" [ngClass]="classSysAdminCtrl">Site System Administrator</div>
            <div fxFlex>
                <mat-form-field style="width: 400px;" appearance="outline" >
                    <mat-select formControlName="siteSysAdminCtrl"  fxLayoutGap="20px" [(ngModel)]="agencySiteApprovalData.siteSysAdminContactID" placeholder="Select">
                    <mat-option *ngFor="let siteContact of SiteContactsAdminData" [value]="siteContact.siteContactRequestID">
                        {{siteContact.firstName + ' ' + siteContact.lastName }}
                    </mat-option>
                    </mat-select>
                    <mat-error *ngIf="f.siteSysAdminCtrl.errors?.dropdownRequired">{{ validationMssg.siteSysAdminCtrl.required }}</mat-error>
                </mat-form-field>
            </div>
         </div>

         <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
             <div fxFlex="30" [ngClass]="classCapsSurveyCtrl">Is CAPS Survey Mandatory for the site ?</div>
             <div fxFlex="10">
               <mat-radio-group  [(ngModel)]="agencySiteApprovalData.isCapsMandate" fxLayoutGap="20px" formControlName="isCapsSurveyRadioCtrl" name="isCapsSurveyRadioCtrl">
                    <mat-radio-button  *ngFor="let referralAvailableType of isYesNoList" [value]="referralAvailableType.refGroupDetailID">
                           {{referralAvailableType.refGroupDetailDescription}} 
                    </mat-radio-button>
              </mat-radio-group>
             </div>
             <div style="font-size: 75%" fxFlex><mat-error *ngIf="ifSubmitted === true && f.isCapsSurveyRadioCtrl.hasError('radioGroupRequired')">{{ validationMssg.isCapsSurveyRadioCtrl.required }}</mat-error></div>
         </div>

         <div fxLayout="row" class="div-row-padding" fxLayoutAlign="left center" [style.visibility]="requestTypeID === 321 ? 'hidden' : 'visible'">
            <div fxFlex="30" [ngClass]="classAgncyNameCtrl">Please select the Agency Name for approving the Site</div>
            <div fxFlex>
                <mat-form-field style="width: 400px;" appearance="outline">
                    <mat-select formControlName="agencyNameForApproveCtrl"  fxLayoutGap="20px" [(ngModel)]="agencySiteApprovalData.agencyIdToApprove" placeholder="Select">
                        <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID" >
                            {{agency.name}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="f.agencyNameForApproveCtrl.errors?.dropdownRequired">{{ validationMssg.agencyNameForApproveCtrl.required }}</mat-error>
                </mat-form-field>
            </div> 
         </div>

         <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
             <div fxFlex="30" class="required-label-color">Additional Comments</div>
             <div fxFlex fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                <mat-form-field appearance="outline"  style="height:60px;width:300px"> 
                       <textarea matInput maxlength="200" rows="4" formControlName="additionalcommentsCtrl" [(ngModel)]="agencySiteApprovalData.addlApproverComments" maxlength="200"></textarea>
                       <mat-error *ngIf="f.additionalcommentsCtrl.errors?.required">{{ validationMssg.additionalcommentsCtrl.required }}</mat-error>
                </mat-form-field>
             </div> 
        </div>

        <div fxLayout="row" class="div-row-padding" fxLayoutAlign="left center">
           <div fxFlex><span>&nbsp;</span></div>
        </div>
        <div fxLayout="row" class="div-row-padding" fxLayoutAlign="left center">
            <div fxFlex><span>&nbsp;</span></div>
         </div>


        </div>
      </mat-card>
    </form>   
</div>